Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009614 [DCSS] Patches minor always 2015-04-07 00:33 2015-04-11 07:18
Reporter amalloy View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0009614: Fix targeting of Dithmenos spell-shadowing
Description See https://github.com/crawl/crawl/pull/3 [^] - before this change, Dithmenos's shadow spell-mimicking could cause a shadowed beam spell to hit something that you intentionally chose to avoid hitting. Tested locally in wizmode, and confirmed that this patch fixes the relevant behavior. I don't imagine it has side effects elsewhere, since it's a pretty targeted fix, but I don't know.
Additional Information
Tags No tags attached.
Attached Files ? file icon shadow_bolt_targeting.patch [^] (956 bytes) 2015-04-07 00:33 [Show Content]

- Relationships

-  Notes
(0028801)
amalloy (developer)
2015-04-07 23:56
edited on: 2015-04-07 23:58

Steps to reproduce original broken behavior:

Enter wizmode, give yourself Magic Dart, join dithmenos, set piety to 200.

Find a monster (sleeping for convenience), and get it a few tiles away from you, in a cardinal direction (eg, directly west).

Cast Magic Dart, targeted not at the monster but at a tile between you and it, via `za.` to target the floor tile between you and not go past it.

Your dart will not hit the monster, but if your shadow mimics your spell (likely but not guaranteed, I think, with 200 piety), the resulting shadow shard will hit the monster.

(0028802)
neil (administrator)
2015-04-08 00:10

In trunk (0.17-a0-482-g6233edf) and stable (0.16.1-12-gf5c4a84), thanks!

- Issue History
Date Modified Username Field Change
2015-04-07 00:33 amalloy New Issue
2015-04-07 00:33 amalloy File Added: shadow_bolt_targeting.patch
2015-04-07 23:56 amalloy Note Added: 0028801
2015-04-07 23:58 amalloy Note Edited: 0028801
2015-04-08 00:10 neil Note Added: 0028802
2015-04-08 00:10 neil Status new => resolved
2015-04-08 00:10 neil Fixed in Branch => 0.16 pre-release branch
2015-04-08 00:10 neil Resolution open => done
2015-04-08 00:10 neil Assigned To => neil
2015-04-11 07:18 amalloy Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker